List All Subscriptions

This API returns a list of subscriptions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Query Params
integer

Number of subscription records to return per page.

integer

Page number of the result set to return, starting at.

string

Column name to sort the results by (for example, created_at). Pair with sortedBy to set the sort direction. Multiple fields are separated by a semicolon (;)

string
enum

Direction that orderBy is sorted by.
Possible Values: asc, desc

Allowed:
string
enum

Embeds the related customer or discount object in each subscription.
Possible Values: customer, discount

Allowed:
string
enum

Filter subscriptions by multiple statuses (multi-value, comma separated).
Possible Values: trial, active, pending, passed_due, paused, canceled, unpaid

Allowed:
string
enum

Filters subscriptions by an exact status. Unlike status[in], it can only take 1 value, and contains an additional valid value.
Possible Values: trial, active, pending, passed_due, paused, canceled, unpaid, any

integer

Returns subscriptions created within the last N days.

string

Returns subscriptions created on the specified date. Recommended format YYYY/MM/DD.

string

Returns subscriptions created on or after the specified date. Recommended format YYYY/MM/DD.

string

Returns subscriptions created on or before the specified date. Recommended format YYYY/MM/DD.

string

Returns subscriptions created after the specified date. Recommended format YYYY/MM/DD.

string

Returns subscriptions created before the specified date. Recommended format YYYY/MM/DD.

created_at[range]
object

Returns subscriptions whose creation date falls between a start and end date (inclusive). Supplied as created_at[range][from] and created_at[range][to], each in the recommended format YYYY/MM/DD.

string
enum

Filters subscriptions by payment method.
Possible Values: card, ach

Allowed:
string

Filters subscriptions by plan, using the plan's code.

string

Filters subscriptions belonging to a specific customer, using the customer ID.

boolean

If true, exports all matching results without pagination.
Possible Values: 0, 1

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json